# (c) 2007-2016. Progress Software Corporation. All rights reserved
# Multiplatform makefile to build connect exit shared library
#  $Revision$
#


OAINSTALLDIR=/usr/oaodbc60
DRIVER_VER=26

# Environment specific header
include $(ENV_MAKEFILE)

# Environment-specific C++ flags
CXXFLAGS = $(GCXXFLAGS)

#  Environment-specific include flags
IFLAGS= -I$(OAINSTALLDIR)/include

# Environment-specific linker flags
LFLAGS = $(GLFLAGS)

## build the shared library
MODULE= ivoace$(DRIVER_VER).so

$(MODULE) : ivoace$(DRIVER_VER).o
	$(LINKER_SHARED) $(GSFLAGS) $(LFLAGS) ivoace$(DRIVER_VER).o -o $@

ivoace$(DRIVER_VER).o : connexit.cpp connexit.h
	$(CXX) $(CXXFLAGS) $(IFLAGS) $(DFLAGS) -c connexit.cpp -o $@

## general targets
all : $(MODULE)

clean:
	$(RM) -f $(MODULE)
	$(RM) -f ivoace$(DRIVER_VER).o
help:
	@echo "Targets are"
	@echo "$(MODULE) :  connect exit shared library"
	@echo "all clean help"

# end of file
